Package Details: solo-python 0.0.30-1

Git Clone URL: https://aur.archlinux.org/solo-python.git (read-only, click to copy)
Package Base: solo-python
Description: Tools and Python library for SoloKeys.
Upstream URL: https://github.com/solokeys/solo-python
Licenses: MIT, Apache
Submitter: mutantmonkey
Maintainer: mutantmonkey
Last Packager: mutantmonkey
Votes: 5
Popularity: 0.22
First Submitted: 2019-04-01 06:56
Last Updated: 2021-04-30 08:38

Latest Comments

fluix commented on 2021-04-09 22:40

The issue that @billypilgrim pointer out is because python-solo request the Python package fido2 in version 0.8.1 (fido2~=0.8.1) not the newer 0.9 version.

billypilgrim commented on 2021-04-01 13:42

I'm currently getting the following error every time I try to run the solo program:

Traceback (most recent call last):
  File "/usr/bin/solo", line 5, in <module>
    from solo.cli import solo_cli
  File "/usr/lib/python3.9/site-packages/solo/cli/__init__.py", line 17, in <module>
    from solo.cli.key import key
  File "/usr/lib/python3.9/site-packages/solo/cli/key.py", line 24, in <module>
    import solo.fido2
  File "/usr/lib/python3.9/site-packages/solo/fido2/__init__.py", line 3, in <module>
    import fido2._pyu2f
ModuleNotFoundError: No module named 'fido2._pyu2f'

mutantmonkey commented on 2021-03-27 21:45

@Arlas Updated, thanks for the heads up. It looks like the new python-flit package in community does not install into /usr/bin.

@alium Upstream builds this package using flit (see the upstream Makefile). I understand that additional make dependencies are a concern, but I do not really have the desire or time to maintain a separate build process from upstream. If you have any particular suggestions for how I can better adhere to the Arch packaging guidelines without changing the build process, I'd be happy to adopt them.

alium commented on 2021-03-27 10:53

hi, consider please switch to archlinux packaging standard, see https://raw.githubusercontent.com/alium/share/master/PKGBUILD

pkgname=solo-python
pkgver=0.0.27
pkgrel=2
pkgdesc="Tools and Python library for SoloKeys."
arch=('any')
url="https://github.com/solokeys/solo-python"
license=('Apache' 'MIT')
depends=('python' 'python-click>=7.0' 'python-cryptography' 'python-ecdsa'
         'python-fido2' 'python-intelhex' 'python-pyserial' 'python-pyusb'
         'python-requests')
makedepends=('fakeroot' 'python-setuptools')
source=("https://files.pythonhosted.org/packages/source/s/${pkgname}/${pkgname}-${pkgver}.tar.gz"
    "https://raw.githubusercontent.com/alium/share/master/solo")
sha256sums=('72a4699eb3b1979d7a2561c538987f868b5e7ee4e4a5b402b8a4d460d3dd6ec7'
            'd4206872009b63693fc0eeec7c82096bff06b58cc938523f1820f46f071a5642')

build() {
  cd $pkgname-$pkgver
  python setup.py build
}

package() {
  cd $pkgname-$pkgver
    python setup.py install --root="${pkgdir}" --optimize=1
  install -m755 -d "${pkgdir}/usr/bin"
  install -m755  "${srcdir}"/solo "${pkgdir}/usr/bin"
}

you can upload solo script just here in AUR

Arlas commented on 2021-03-27 09:20

Hello!

You are using flit in a bash environment. But python-flit is installed in python environment and not in bash.

Can you replace flit build --format wheel with python -m flit build --format wheelmaybe? This worked for me

nickray commented on 2020-05-19 21:36

Hey mutantmonkey, thanks a lot for creating/maintaining this!

  • nickray, SoloKeys

windy commented on 2020-01-10 18:14

Would it be possible to add the changes of pull request #47 as a patch to this PKGBUILD until the issue with fido2 is resolved?

elimik31 commented on 2019-12-16 14:03

Updating to 0.0.20-1 results in the error message

  File "solo/client.py", line 25, in <module>
    from fido2.utils import Timeout
ImportError: cannot import name 'Timeout' from 'fido2.utils' (/usr/lib/python3.8/site-packages/fido2/utils.py)

This is an upstream issue: https://github.com/solokeys/solo-python/issues/49 Here an open PR that should fix it: https://github.com/solokeys/solo-python/pull/47